Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1601368 - updates failing through webui and yum
Summary: updates failing through webui and yum
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Joe Rafaniello
QA Contact: luke couzens
URL:
Whiteboard: webui:upgrade:black
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-16 08:21 UTC by luke couzens
Modified: 2018-08-06 11:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-31 16:56:22 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description luke couzens 2018-07-16 08:21:05 UTC
Description of problem:updates failing through webui and yum


Version-Release number of selected component (if applicable):5.10.0.4


How reproducible:100%


Steps to Reproduce:
1.provision 5.10.0.3
2.configure appliance
3.add latest 5.10 repos
4.add rhsm settings to configuration-settings-region-red hat updates
5.check for and apply updates through ui

Actual results:
Updates fail to be applied no errors shown in ui or evm.log

Expected results:
Updates applied correctly or errors shown.

Additional info:

There seems to be some package conflicts, see below.

Dependencies Resolved

===================================================================================================================================================================================================================
 Package                                                    Arch                                        Version                                                 Repository                                    Size
===================================================================================================================================================================================================================
Updating:
 cfme                                                       x86_64                                      5.10.0.4-1.el7cf                                        cfme                                          17 M
 cfme-appliance                                             x86_64                                      5.10.0.4-1.el7cf                                        cfme                                          14 k
 cfme-appliance-common                                      x86_64                                      5.10.0.4-1.el7cf                                        cfme                                         208 k
 cfme-appliance-tools                                       x86_64                                      5.10.0.4-1.el7cf                                        cfme                                          11 k
 cfme-gemset                                                x86_64                                      5.10.0.4-1.el7cf                                        cfme                                         109 M
 gnupg2                                                     x86_64                                      2.0.22-5.el7_5                                          zstream                                      1.5 M

Transaction Summary
===================================================================================================================================================================================================================
Upgrade  6 Packages

Total size: 127 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test


Transaction check error:
  file /opt/rh/cfme-gemset/bundler/gems/manageiq-consumption-a558f35ba014 from install of cfme-gemset-5.10.0.4-1.el7cf.x86_64 conflicts with file from package cfme-gemset-5.10.0.3-1.el7cf.x86_64
  file /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-e92faf72a1d1 from install of cfme-gemset-5.10.0.4-1.el7cf.x86_64 conflicts with file from package cfme-gemset-5.10.0.3-1.el7cf.x86_64
  file /opt/rh/cfme-gemset/bundler/gems/manageiq-graphql-5f68621f2791 from install of cfme-gemset-5.10.0.4-1.el7cf.x86_64 conflicts with file from package cfme-gemset-5.10.0.3-1.el7cf.x86_64
  file /opt/rh/cfme-gemset/bundler/gems/manageiq-providers-google-3b86b8c2f5b1 from install of cfme-gemset-5.10.0.4-1.el7cf.x86_64 conflicts with file from package cfme-gemset-5.10.0.3-1.el7cf.x86_64
  file /opt/rh/cfme-gemset/bundler/gems/manageiq-providers-kubevirt-5d8402b812bb from install of cfme-gemset-5.10.0.4-1.el7cf.x86_64 conflicts with file from package cfme-gemset-5.10.0.3-1.el7cf.x86_64
  file /opt/rh/cfme-gemset/bundler/gems/manageiq-providers-nuage-b7b399162010 from install of cfme-gemset-5.10.0.4-1.el7cf.x86_64 conflicts with file from package cfme-gemset-5.10.0.3-1.el7cf.x86_64
  file /opt/rh/cfme-gemset/bundler/gems/manageiq-providers-ovirt-0b4b6289fad7 from install of cfme-gemset-5.10.0.4-1.el7cf.x86_64 conflicts with file from package cfme-gemset-5.10.0.3-1.el7cf.x86_64
  file /opt/rh/cfme-gemset/bundler/gems/manageiq-providers-scvmm-b0e66d160e5b from install of cfme-gemset-5.10.0.4-1.el7cf.x86_64 conflicts with file from package cfme-gemset-5.10.0.3-1.el7cf.x86_64
  file /opt/rh/cfme-gemset/bundler/gems/manageiq-schema-3bee538a6fdd from install of cfme-gemset-5.10.0.4-1.el7cf.x86_64 conflicts with file from package cfme-gemset-5.10.0.3-1.el7cf.x86_64

Error Summary
-------------

Comment 3 Joe Rafaniello 2018-07-24 18:45:27 UTC
Luke, what happens if you do the first 3 steps and manually run yum update cfme-appliance?

1. provision 5.10.0.3
2. configure appliance
3. add latest 5.10 repos
4. yum update cfme-appliance

It looks like you should be getting the same error with yum.

Comment 4 Joe Rafaniello 2018-07-24 18:46:07 UTC
Also, if you have logs for yum, /var/log/yum* or can provide the full output, that might help.

Comment 5 Joe Rafaniello 2018-07-31 16:56:22 UTC
Please reopen after providing the info from comment #3

Comment 6 luke couzens 2018-08-06 11:34:36 UTC
Hey Joe,

Sorry I was on PTO the last two weeks, as for this bug I think it can be closed for now anyway as I can't currently reproduce it with the latest 5.10.0.8

If I find anything in future builds I will let you know, Thanks.


Note You need to log in before you can comment on or make changes to this bug.